Bug 118471 - Hard coded dependancy on XFree86-libs should be removed
Hard coded dependancy on XFree86-libs should be removed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks: xorgdeps
  Show dependency treegraph
 
Reported: 2004-03-16 17:29 EST by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 21.3-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 00:31:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-03-16 17:29:02 EST
There are hard coded dependancies on XFree86-libs package, which
needs to be fixed before xorg-x11 can be enabled in the development
tree.

Most likely (I haven't checked), this should be a dependancy
on XFree86-devel, not XFree86-libs.  There should never ever
be dependancies hard coded on XFree86-libs.  If some package
needs something from XFree86-libs, rpm's autodependancy searching
will find it (find-requires) and put a dep on the lib itself
rather than the package it comes from.

/mnt/redhat/test/rawhide-latest/i386/Fedora/RPMS/emacs-21.3-10.i386.rpm:
XFree86-libs
Comment 1 Mike A. Harris 2004-03-17 00:31:50 EST
Fixed in emacs-21.3-11 in rawhide

Note You need to log in before you can comment on or make changes to this bug.